# SquareConnect.InventoryTransfer

### Description

Represents the transfer of a quantity of product inventory at a particular time from one location to another.

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **String** | A unique ID generated by Square for the &#x60;InventoryTransfer&#x60;. | [optional] 
**reference_id** | **String** | An optional ID provided by the application to tie the &#x60;InventoryTransfer&#x60; to an external system. | [optional] 
**state** | **String** | The &#x60;InventoryState&#x60; for the quantity of items being transferred. See [InventoryState](#type-inventorystate) for possible values | [optional] 
**from_location_id** | **String** | The Square ID of the &#x60;Location&#x60; where the related quantity of items were tracked before the transfer. | [optional] 
**to_location_id** | **String** | The Square ID of the &#x60;Location&#x60; where the related quantity of items were tracked after the transfer. | [optional] 
**catalog_object_id** | **String** | The Square generated ID of the &#x60;CatalogObject&#x60; being tracked. | [optional] 
**catalog_object_type** | **String** | The &#x60;CatalogObjectType&#x60; of the &#x60;CatalogObject&#x60; being tracked.Tracking is only supported for the &#x60;ITEM_VARIATION&#x60; type. | [optional] 
**quantity** | **String** | The number of items affected by the transfer as a decimal string. Can support up to 5 digits after the decimal point. | [optional] 
**occurred_at** | **String** | A client-generated timestamp in RFC 3339 format that indicates when the transfer took place. For write actions, the &#x60;occurred_at&#x60; timestamp cannot be older than 24 hours or in the future relative to the time of the request. | [optional] 
**created_at** | **String** | A read-only timestamp in RFC 3339 format that indicates when Square received the transfer request. | [optional] 
**source** | [**SourceApplication**](SourceApplication.md) | Read-only information about the application that initiated the inventory transfer. | [optional] 
**employee_id** | **String** | The Square ID of the &#x60;Employee&#x60; responsible for the inventory transfer. | [optional] 


