/**
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.0-SNAPSHOT
 *
 */
var ApiClient = require('../ApiClient');




/**
 * The CreateDisputeEvidenceTextRequest model module.
 * Note: This model is in beta.
 * @module model/CreateDisputeEvidenceTextRequest
 */

/**
 * Constructs a new <code>CreateDisputeEvidenceTextRequest</code>.
 * Defines parameters for a CreateDisputeEvidenceText request.
 * @alias module:model/CreateDisputeEvidenceTextRequest
 * @class
 * @param idempotencyKey {String} Unique ID. For more information, see [Idempotency](https://developer.squareup.com/docs/docs/working-with-apis/idempotency).
 * @param evidenceText {String} The evidence string.
 */
var exports = function(idempotencyKey, evidenceText) {
  var _this = this;

  _this['idempotency_key'] = idempotencyKey;

  _this['evidence_text'] = evidenceText;
};

/**
 * Constructs a <code>CreateDisputeEvidenceTextRequest</code> from a plain JavaScript object, optionally creating a new instance.
 * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
 * @param {Object} data The plain JavaScript object bearing properties of interest.
 * @param {module:model/CreateDisputeEvidenceTextRequest} obj Optional instance to populate.
 * @return {module:model/CreateDisputeEvidenceTextRequest} The populated <code>CreateDisputeEvidenceTextRequest</code> instance.
 */
exports.constructFromObject = function(data, obj) {
  if (data) {
    obj = obj || new exports();

      if (data.hasOwnProperty('idempotency_key')) {
      obj['idempotency_key'] = ApiClient.convertToType(data['idempotency_key'], 'String');
    }
      if (data.hasOwnProperty('evidence_type')) {
      obj['evidence_type'] = ApiClient.convertToType(data['evidence_type'], 'String');
    }
      if (data.hasOwnProperty('evidence_text')) {
      obj['evidence_text'] = ApiClient.convertToType(data['evidence_text'], 'String');
    }
    }
  return obj;
}

/**
 * Unique ID. For more information, see [Idempotency](https://developer.squareup.com/docs/docs/working-with-apis/idempotency).
 * @member {String} idempotency_key
 */
exports.prototype['idempotency_key'] = undefined;
/**
 * The type of evidence you are uploading. See [DisputeEvidenceType](#type-disputeevidencetype) for possible values
 * @member {String} evidence_type
 */
exports.prototype['evidence_type'] = undefined;
/**
 * The evidence string.
 * @member {String} evidence_text
 */
exports.prototype['evidence_text'] = undefined;



module.exports = exports;



