/**
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.0-SNAPSHOT
 *
 */
var ApiClient = require('../ApiClient');




/**
 * The DateRange model module.
 * @module model/DateRange
 */

/**
 * Constructs a new <code>DateRange</code>.
 * A range defined by two dates. Used for filtering a query for Connect v2 objects that have date properties.
 * @alias module:model/DateRange
 * @class
 */
var exports = function() {
  var _this = this;



};

/**
 * Constructs a <code>DateRange</code> from a plain JavaScript object, optionally creating a new instance.
 * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
 * @param {Object} data The plain JavaScript object bearing properties of interest.
 * @param {module:model/DateRange} obj Optional instance to populate.
 * @return {module:model/DateRange} The populated <code>DateRange</code> instance.
 */
exports.constructFromObject = function(data, obj) {
  if (data) {
    obj = obj || new exports();

      if (data.hasOwnProperty('start_date')) {
      obj['start_date'] = ApiClient.convertToType(data['start_date'], 'String');
    }
      if (data.hasOwnProperty('end_date')) {
      obj['end_date'] = ApiClient.convertToType(data['end_date'], 'String');
    }
    }
  return obj;
}

/**
 * String in `YYYY-MM-DD` format, e.g. `2017-10-31` per the ISO 8601 extended format for calendar dates. The beginning of a date range (inclusive)
 * @member {String} start_date
 */
exports.prototype['start_date'] = undefined;
/**
 * String in `YYYY-MM-DD` format, e.g. `2017-10-31` per the ISO 8601 extended format for calendar dates. The end of a date range (inclusive)
 * @member {String} end_date
 */
exports.prototype['end_date'] = undefined;



module.exports = exports;



