/**
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.0-SNAPSHOT
 *
 */
var ApiClient = require('../ApiClient');
var Address = require('./Address');




/**
 * The InvoiceRecipient model module.
 * Note: This model is in beta.
 * @module model/InvoiceRecipient
 */

/**
 * Constructs a new <code>InvoiceRecipient</code>.
 * Provides customer data that Square uses to deliver an invoice.
 * @alias module:model/InvoiceRecipient
 * @class
 */
var exports = function() {
  var _this = this;








};

/**
 * Constructs a <code>InvoiceRecipient</code> from a plain JavaScript object, optionally creating a new instance.
 * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
 * @param {Object} data The plain JavaScript object bearing properties of interest.
 * @param {module:model/InvoiceRecipient} obj Optional instance to populate.
 * @return {module:model/InvoiceRecipient} The populated <code>InvoiceRecipient</code> instance.
 */
exports.constructFromObject = function(data, obj) {
  if (data) {
    obj = obj || new exports();

      if (data.hasOwnProperty('customer_id')) {
      obj['customer_id'] = ApiClient.convertToType(data['customer_id'], 'String');
    }
      if (data.hasOwnProperty('given_name')) {
      obj['given_name'] = ApiClient.convertToType(data['given_name'], 'String');
    }
      if (data.hasOwnProperty('family_name')) {
      obj['family_name'] = ApiClient.convertToType(data['family_name'], 'String');
    }
      if (data.hasOwnProperty('email_address')) {
      obj['email_address'] = ApiClient.convertToType(data['email_address'], 'String');
    }
      if (data.hasOwnProperty('address')) {
      obj['address'] = Address.constructFromObject(data['address']);
    }
      if (data.hasOwnProperty('phone_number')) {
      obj['phone_number'] = ApiClient.convertToType(data['phone_number'], 'String');
    }
      if (data.hasOwnProperty('company_name')) {
      obj['company_name'] = ApiClient.convertToType(data['company_name'], 'String');
    }
    }
  return obj;
}

/**
 * The ID of the customer. This is the customer profile ID that  you provide when creating a draft invoice.
 * @member {String} customer_id
 */
exports.prototype['customer_id'] = undefined;
/**
 * The recipient's given (that is, first) name.
 * @member {String} given_name
 */
exports.prototype['given_name'] = undefined;
/**
 * The recipient's family (that is, last) name.
 * @member {String} family_name
 */
exports.prototype['family_name'] = undefined;
/**
 * The recipient's email address.
 * @member {String} email_address
 */
exports.prototype['email_address'] = undefined;
/**
 * The recipient's physical address.
 * @member {module:model/Address} address
 */
exports.prototype['address'] = undefined;
/**
 * The recipient's phone number.
 * @member {String} phone_number
 */
exports.prototype['phone_number'] = undefined;
/**
 * The name of the recipient's company.
 * @member {String} company_name
 */
exports.prototype['company_name'] = undefined;



module.exports = exports;



