/**
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.0-SNAPSHOT
 *
 */
var ApiClient = require('../ApiClient');




/**
 * The ListInvoicesRequest model module.
 * Note: This model is in beta.
 * @module model/ListInvoicesRequest
 */

/**
 * Constructs a new <code>ListInvoicesRequest</code>.
 * Describes a &#x60;ListInvoice&#x60; request.
 * @alias module:model/ListInvoicesRequest
 * @class
 * @param locationId {String} The ID of the location for which to list invoices.
 */
var exports = function(locationId) {
  var _this = this;

  _this['location_id'] = locationId;


};

/**
 * Constructs a <code>ListInvoicesRequest</code> from a plain JavaScript object, optionally creating a new instance.
 * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
 * @param {Object} data The plain JavaScript object bearing properties of interest.
 * @param {module:model/ListInvoicesRequest} obj Optional instance to populate.
 * @return {module:model/ListInvoicesRequest} The populated <code>ListInvoicesRequest</code> instance.
 */
exports.constructFromObject = function(data, obj) {
  if (data) {
    obj = obj || new exports();

      if (data.hasOwnProperty('location_id')) {
      obj['location_id'] = ApiClient.convertToType(data['location_id'], 'String');
    }
      if (data.hasOwnProperty('cursor')) {
      obj['cursor'] = ApiClient.convertToType(data['cursor'], 'String');
    }
      if (data.hasOwnProperty('limit')) {
      obj['limit'] = ApiClient.convertToType(data['limit'], 'Number');
    }
    }
  return obj;
}

/**
 * The ID of the location for which to list invoices.
 * @member {String} location_id
 */
exports.prototype['location_id'] = undefined;
/**
 * A pagination cursor returned by a previous call to this endpoint.  Provide this cursor to retrieve the next set of results for your original query.  For more information, see [Pagination](https://developer.squareup.com/docs/docs/working-with-apis/pagination).
 * @member {String} cursor
 */
exports.prototype['cursor'] = undefined;
/**
 * The maximum number of invoices to return (200 is the maximum `limit`).  If not provided, the server  uses a default limit of 100 invoices.
 * @member {Number} limit
 */
exports.prototype['limit'] = undefined;



module.exports = exports;



