/**
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.0-SNAPSHOT
 *
 */
var ApiClient = require('../ApiClient');
var TimeRange = require('./TimeRange');




/**
 * The TerminalRefundQueryFilter model module.
 * Note: This model is in beta.
 * @module model/TerminalRefundQueryFilter
 */

/**
 * Constructs a new <code>TerminalRefundQueryFilter</code>.
 * 
 * @alias module:model/TerminalRefundQueryFilter
 * @class
 */
var exports = function() {
  var _this = this;




};

/**
 * Constructs a <code>TerminalRefundQueryFilter</code> from a plain JavaScript object, optionally creating a new instance.
 * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
 * @param {Object} data The plain JavaScript object bearing properties of interest.
 * @param {module:model/TerminalRefundQueryFilter} obj Optional instance to populate.
 * @return {module:model/TerminalRefundQueryFilter} The populated <code>TerminalRefundQueryFilter</code> instance.
 */
exports.constructFromObject = function(data, obj) {
  if (data) {
    obj = obj || new exports();

      if (data.hasOwnProperty('device_id')) {
      obj['device_id'] = ApiClient.convertToType(data['device_id'], 'String');
    }
      if (data.hasOwnProperty('created_at')) {
      obj['created_at'] = TimeRange.constructFromObject(data['created_at']);
    }
      if (data.hasOwnProperty('status')) {
      obj['status'] = ApiClient.convertToType(data['status'], 'String');
    }
    }
  return obj;
}

/**
 * `TerminalRefund`s associated with a specific device. If no device is specified then all `TerminalRefund`s for the signed in account will be displayed.
 * @member {String} device_id
 */
exports.prototype['device_id'] = undefined;
/**
 * Timestamp for the beginning of the reporting period, in RFC 3339 format. Inclusive. Default: The current time minus one day.
 * @member {module:model/TimeRange} created_at
 */
exports.prototype['created_at'] = undefined;
/**
 * Filtered results with the desired status of the `TerminalRefund` Options: `PENDING`, `IN\\_PROGRESS`, `CANCEL\\_REQUESTED`, `CANCELED`, `COMPLETED`
 * @member {String} status
 */
exports.prototype['status'] = undefined;



module.exports = exports;



