/**
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.0-SNAPSHOT
 *
 */
var ApiClient = require('../ApiClient');




/**
 * The V1UpdateOrderRequest model module.
 * @module model/V1UpdateOrderRequest
 */

/**
 * Constructs a new <code>V1UpdateOrderRequest</code>.
 * V1UpdateOrderRequest
 * @alias module:model/V1UpdateOrderRequest
 * @class
 * @param action {String} The action to perform on the order (COMPLETE, CANCEL, or REFUND). See [V1UpdateOrderRequestAction](#type-v1updateorderrequestaction) for possible values
 */
var exports = function(action) {
  var _this = this;

  _this['action'] = action;




};

/**
 * Constructs a <code>V1UpdateOrderRequest</code> from a plain JavaScript object, optionally creating a new instance.
 * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
 * @param {Object} data The plain JavaScript object bearing properties of interest.
 * @param {module:model/V1UpdateOrderRequest} obj Optional instance to populate.
 * @return {module:model/V1UpdateOrderRequest} The populated <code>V1UpdateOrderRequest</code> instance.
 */
exports.constructFromObject = function(data, obj) {
  if (data) {
    obj = obj || new exports();

      if (data.hasOwnProperty('action')) {
      obj['action'] = ApiClient.convertToType(data['action'], 'String');
    }
      if (data.hasOwnProperty('shipped_tracking_number')) {
      obj['shipped_tracking_number'] = ApiClient.convertToType(data['shipped_tracking_number'], 'String');
    }
      if (data.hasOwnProperty('completed_note')) {
      obj['completed_note'] = ApiClient.convertToType(data['completed_note'], 'String');
    }
      if (data.hasOwnProperty('refunded_note')) {
      obj['refunded_note'] = ApiClient.convertToType(data['refunded_note'], 'String');
    }
      if (data.hasOwnProperty('canceled_note')) {
      obj['canceled_note'] = ApiClient.convertToType(data['canceled_note'], 'String');
    }
    }
  return obj;
}

/**
 * The action to perform on the order (COMPLETE, CANCEL, or REFUND). See [V1UpdateOrderRequestAction](#type-v1updateorderrequestaction) for possible values
 * @member {String} action
 */
exports.prototype['action'] = undefined;
/**
 * The tracking number of the shipment associated with the order. Only valid if action is COMPLETE.
 * @member {String} shipped_tracking_number
 */
exports.prototype['shipped_tracking_number'] = undefined;
/**
 * A merchant-specified note about the completion of the order. Only valid if action is COMPLETE.
 * @member {String} completed_note
 */
exports.prototype['completed_note'] = undefined;
/**
 * A merchant-specified note about the refunding of the order. Only valid if action is REFUND.
 * @member {String} refunded_note
 */
exports.prototype['refunded_note'] = undefined;
/**
 * A merchant-specified note about the canceling of the order. Only valid if action is CANCEL.
 * @member {String} canceled_note
 */
exports.prototype['canceled_note'] = undefined;



module.exports = exports;



